Skip to content

Fetch reporting suite(s) by entity id

Request

Security
bearerAuth and apiKeyAuth
Query
entityIdstring

Reporting suite entity id(s): one id or comma-separated list (max 50)

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/reportingSuite/suite?entityId=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring
entityIdstring
suiteTypestring(SuiteType)
Value:"STANDARD"
namestring
descriptionstring
dimensionsArray of strings
measurementsArray of strings
moduleTypestring
breakdownTypestring
baseReportingSuitestring
ownerUserIdinteger, (int64)
createdTimeinteger, (int64)

Epoch milliseconds (UTC)

modifiedTimeinteger, (int64)

Epoch milliseconds (UTC)

lastModifiedUserIdinteger, (int64)
deletedboolean
]
Response
[ { "id": "string", "entityId": "string", "suiteType": "STANDARD", "name": "string", "description": "string", "dimensions": [ … ], "measurements": [ … ], "moduleType": "string", "breakdownType": "string", "baseReportingSuite": "string", "ownerUserId": 0, "createdTime": 0, "modifiedTime": 0, "lastModifiedUserId": 0, "deleted": true } ]